use argh::FromArgs;

use std::path::{PathBuf};

use crate::action::Action;

#[derive(FromArgs, Debug)]
/// interact with your qBittorrent instance from the command line
pub struct Cli {
    #[argh(option, short = 'c')]
    /// path to config file (defaults to ~/.config/qbt/.qbt.toml)
    pub config: Option<PathBuf>,

    #[argh(subcommand)]
    pub command: Action,
}

impl Cli {
    pub fn from_args() -> Cli {
        argh::from_env()
    }
}
